Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Common DOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.css
Interface CSS2Properties

public interface CSS2Properties

The `CSS2Properties` interface represents a convenience mechanism for retrieving and setting properties within a `CSSStyleDeclaration`. The attributes of this interface correspond to all the properties specified in CSS2. Getting an attribute of this interface is equivalent to calling the `getPropertyValue` method of the `CSSStyleDeclaration` interface. Setting an attribute of this interface is equivalent to calling the `setProperty` method of the `CSSStyleDeclaration` interface.

A conformant implementation of the CSS module is not required to implement the `CSS2Properties` interface. If an implementation does implement this interface, the expectation is that language-specific methods can be used to cast from an instance of the `CSSStyleDeclaration` interface to the `CSS2Properties` interface.

If an implementation does implement this interface, it is expected to understand the specific syntax of the shorthand properties, and apply their semantics; when the `margin` property is set, for example, the `marginTop`, `marginRight`, `marginBottom` and `marginLeft` properties are actually being set by the underlying implementation.

When dealing with CSS "shorthand" properties, the shorthand properties should be decomposed into their component longhand properties as appropriate, and when querying for their value, the form returned should be the shortest form exactly equivalent to the declarations made in the ruleset. However, if there is no shorthand declaration that could be added to the ruleset without changing in any way the rules already declared in the ruleset (i.e., by adding longhand rules that were previously not declared in the ruleset), then the empty string should be returned for the shorthand property.

For example, querying for the `font` property should not return "normal normal normal 14pt/normal Arial, sans-serif", when "14pt Arial, sans-serif" suffices. (The normals are initial values, and are implied by use of the longhand property.)

If the values for all the longhand properties that compose a particular string are the initial values, then a string consisting of all the initial values should be returned (e.g. a `border-width` value of "medium" should be returned as such, not as "").

For some shorthand properties that take missing values from other sides, such as the `margin`, `padding`, and `border-[width|style|color]` properties, the minimum number of sides possible should be used; i.e., "0px 10px" will be returned instead of "0px 10px 0px 10px".

If the value of a shorthand property can not be decomposed into its component longhand properties, as is the case for the `font` property with a value of "menu", querying for the values of the component longhand properties should return the empty string.

See also the Document Object Model (DOM) Level 2 Style Specification.

Since:
  DOM Level 2

Method Summary
`String` | `getAzimuth()` See the azimuth property definition in CSS2.
`String` | `getBackground()` See the background property definition in CSS2.
`String` | `getBackgroundAttachment()` See the background-attachment property definition in CSS2.
`String` | `getBackgroundColor()` See the background-color property definition in CSS2.
`String` | `getBackgroundImage()` See the background-image property definition in CSS2.
`String` | `getBackgroundPosition()` See the background-position property definition in CSS2.
`String` | `getBackgroundRepeat()` See the background-repeat property definition in CSS2.
`String` | `getBorder()` See the border property definition in CSS2.
`String` | `getBorderBottom()` See the border-bottom property definition in CSS2.
`String` | `getBorderBottomColor()` See the border-bottom-color property definition in CSS2.
`String` | `getBorderBottomStyle()` See the border-bottom-style property definition in CSS2.
`String` | `getBorderBottomWidth()` See the border-bottom-width property definition in CSS2.
`String` | `getBorderCollapse()` See the border-collapse property definition in CSS2.
`String` | `getBorderColor()` See the border-color property definition in CSS2.
`String` | `getBorderLeft()` See the border-left property definition in CSS2.
`String` | `getBorderLeftColor()` See the border-left-color property definition in CSS2.
`String` | `getBorderLeftStyle()` See the border-left-style property definition in CSS2.
`String` | `getBorderLeftWidth()` See the border-left-width property definition in CSS2.
`String` | `getBorderRight()` See the border-right property definition in CSS2.
`String` | `getBorderRightColor()` See the border-right-color property definition in CSS2.
`String` | `getBorderRightStyle()` See the border-right-style property definition in CSS2.
`String` | `getBorderRightWidth()` See the border-right-width property definition in CSS2.
`String` | `getBorderSpacing()` See the border-spacing property definition in CSS2.
`String` | `getBorderStyle()` See the border-style property definition in CSS2.
`String` | `getBorderTop()` See the border-top property definition in CSS2.
`String` | `getBorderTopColor()` See the border-top-color property definition in CSS2.
`String` | `getBorderTopStyle()` See the border-top-style property definition in CSS2.
`String` | `getBorderTopWidth()` See the border-top-width property definition in CSS2.
`String` | `getBorderWidth()` See the border-width property definition in CSS2.
`String` | `getBottom()` See the bottom property definition in CSS2.
`String` | `getCaptionSide()` See the caption-side property definition in CSS2.
`String` | `getClear()` See the clear property definition in CSS2.
`String` | `getClip()` See the clip property definition in CSS2.
`String` | `getColor()` See the color property definition in CSS2.
`String` | `getContent()` See the content property definition in CSS2.
`String` | `getCounterIncrement()` See the counter-increment property definition in CSS2.
`String` | `getCounterReset()` See the counter-reset property definition in CSS2.
`String` | `getCssFloat()` See the float property definition in CSS2.
`String` | `getCue()` See the cue property definition in CSS2.
`String` | `getCueAfter()` See the cue-after property definition in CSS2.
`String` | `getCueBefore()` See the cue-before property definition in CSS2.
`String` | `getCursor()` See the cursor property definition in CSS2.
`String` | `getDirection()` See the direction property definition in CSS2.
`String` | `getDisplay()` See the display property definition in CSS2.
`String` | `getElevation()` See the elevation property definition in CSS2.
`String` | `getEmptyCells()` See the empty-cells property definition in CSS2.
`String` | `getFont()` See the font property definition in CSS2.
`String` | `getFontFamily()` See the font-family property definition in CSS2.
`String` | `getFontSize()` See the font-size property definition in CSS2.
`String` | `getFontSizeAdjust()` See the font-size-adjust property definition in CSS2.
`String` | `getFontStretch()` See the font-stretch property definition in CSS2.
`String` | `getFontStyle()` See the font-style property definition in CSS2.
`String` | `getFontVariant()` See the font-variant property definition in CSS2.
`String` | `getFontWeight()` See the font-weight property definition in CSS2.
`String` | `getHeight()` See the height property definition in CSS2.
`String` | `getLeft()` See the left property definition in CSS2.
`String` | `getLetterSpacing()` See the letter-spacing property definition in CSS2.
`String` | `getLineHeight()` See the line-height property definition in CSS2.
`String` | `getListStyle()` See the list-style property definition in CSS2.
`String` | `getListStyleImage()` See the list-style-image property definition in CSS2.
`String` | `getListStylePosition()` See the list-style-position property definition in CSS2.
`String` | `getListStyleType()` See the list-style-type property definition in CSS2.
`String` | `getMargin()` See the margin property definition in CSS2.
`String` | `getMarginBottom()` See the margin-bottom property definition in CSS2.
`String` | `getMarginLeft()` See the margin-left property definition in CSS2.
`String` | `getMarginRight()` See the margin-right property definition in CSS2.
`String` | `getMarginTop()` See the margin-top property definition in CSS2.
`String` | `getMarkerOffset()` See the marker-offset property definition in CSS2.
`String` | `getMarks()` See the marks property definition in CSS2.
`String` | `getMaxHeight()` See the max-height property definition in CSS2.
`String` | `getMaxWidth()` See the max-width property definition in CSS2.
`String` | `getMinHeight()` See the min-height property definition in CSS2.
`String` | `getMinWidth()` See the min-width property definition in CSS2.
`String` | `getOrphans()` See the orphans property definition in CSS2.
`String` | `getOutline()` See the outline property definition in CSS2.
`String` | `getOutlineColor()` See the outline-color property definition in CSS2.
`String` | `getOutlineStyle()` See the outline-style property definition in CSS2.
`String` | `getOutlineWidth()` See the outline-width property definition in CSS2.
`String` | `getOverflow()` See the overflow property definition in CSS2.
`String` | `getPadding()` See the padding property definition in CSS2.
`String` | `getPaddingBottom()` See the padding-bottom property definition in CSS2.
`String` | `getPaddingLeft()` See the padding-left property definition in CSS2.
`String` | `getPaddingRight()` See the padding-right property definition in CSS2.
`String` | `getPaddingTop()` See the padding-top property definition in CSS2.
`String` | `getPage()` See the page property definition in CSS2.
`String` | `getPageBreakAfter()` See the page-break-after property definition in CSS2.
`String` | `getPageBreakBefore()` See the page-break-before property definition in CSS2.
`String` | `getPageBreakInside()` See the page-break-inside property definition in CSS2.
`String` | `getPause()` See the pause property definition in CSS2.
`String` | `getPauseAfter()` See the pause-after property definition in CSS2.
`String` | `getPauseBefore()` See the pause-before property definition in CSS2.
`String` | `getPitch()` See the pitch property definition in CSS2.
`String` | `getPitchRange()` See the pitch-range property definition in CSS2.
`String` | `getPlayDuring()` See the play-during property definition in CSS2.
`String` | `getPosition()` See the position property definition in CSS2.
`String` | `getQuotes()` See the quotes property definition in CSS2.
`String` | `getRichness()` See the richness property definition in CSS2.
`String` | `getRight()` See the right property definition in CSS2.
`String` | `getSize()` See the size property definition in CSS2.
`String` | `getSpeak()` See the speak property definition in CSS2.
`String` | `getSpeakHeader()` See the speak-header property definition in CSS2.
`String` | `getSpeakNumeral()` See the speak-numeral property definition in CSS2.
`String` | `getSpeakPunctuation()` See the speak-punctuation property definition in CSS2.
`String` | `getSpeechRate()` See the speech-rate property definition in CSS2.
`String` | `getStress()` See the stress property definition in CSS2.
`String` | `getTableLayout()` See the table-layout property definition in CSS2.
`String` | `getTextAlign()` See the text-align property definition in CSS2.
`String` | `getTextDecoration()` See the text-decoration property definition in CSS2.
`String` | `getTextIndent()` See the text-indent property definition in CSS2.
`String` | `getTextShadow()` See the text-shadow property definition in CSS2.
`String` | `getTextTransform()` See the text-transform property definition in CSS2.
`String` | `getTop()` See the top property definition in CSS2.
`String` | `getUnicodeBidi()` See the unicode-bidi property definition in CSS2.
`String` | `getVerticalAlign()` See the vertical-align property definition in CSS2.
`String` | `getVisibility()` See the visibility property definition in CSS2.
`String` | `getVoiceFamily()` See the voice-family property definition in CSS2.
`String` | `getVolume()` See the volume property definition in CSS2.
`String` | `getWhiteSpace()` See the white-space property definition in CSS2.
`String` | `getWidows()` See the widows property definition in CSS2.
`String` | `getWidth()` See the width property definition in CSS2.
`String` | `getWordSpacing()` See the word-spacing property definition in CSS2.
`String` | `getZIndex()` See the z-index property definition in CSS2.
`void` | `setAzimuth(String azimuth)`
`void` | `setBackground(String background)`
`void` | `setBackgroundAttachment(String backgroundAttachment)`
`void` | `setBackgroundColor(String backgroundColor)`
`void` | `setBackgroundImage(String backgroundImage)`
`void` | `setBackgroundPosition(String backgroundPosition)`
`void` | `setBackgroundRepeat(String backgroundRepeat)`
`void` | `setBorder(String border)`
`void` | `setBorderBottom(String borderBottom)`
`void` | `setBorderBottomColor(String borderBottomColor)`
`void` | `setBorderBottomStyle(String borderBottomStyle)`
`void` | `setBorderBottomWidth(String borderBottomWidth)`
`void` | `setBorderCollapse(String borderCollapse)`
`void` | `setBorderColor(String borderColor)`
`void` | `setBorderLeft(String borderLeft)`
`void` | `setBorderLeftColor(String borderLeftColor)`
`void` | `setBorderLeftStyle(String borderLeftStyle)`
`void` | `setBorderLeftWidth(String borderLeftWidth)`
`void` | `setBorderRight(String borderRight)`
`void` | `setBorderRightColor(String borderRightColor)`
`void` | `setBorderRightStyle(String borderRightStyle)`
`void` | `setBorderRightWidth(String borderRightWidth)`
`void` | `setBorderSpacing(String borderSpacing)`
`void` | `setBorderStyle(String borderStyle)`
`void` | `setBorderTop(String borderTop)`
`void` | `setBorderTopColor(String borderTopColor)`
`void` | `setBorderTopStyle(String borderTopStyle)`
`void` | `setBorderTopWidth(String borderTopWidth)`
`void` | `setBorderWidth(String borderWidth)`
`void` | `setBottom(String bottom)`
`void` | `setCaptionSide(String captionSide)`
`void` | `setClear(String clear)`
`void` | `setClip(String clip)`
`void` | `setColor(String color)`
`void` | `setContent(String content)`
`void` | `setCounterIncrement(String counterIncrement)`
`void` | `setCounterReset(String counterReset)`
`void` | `setCssFloat(String cssFloat)`
`void` | `setCue(String cue)`
`void` | `setCueAfter(String cueAfter)`
`void` | `setCueBefore(String cueBefore)`
`void` | `setCursor(String cursor)`
`void` | `setDirection(String direction)`
`void` | `setDisplay(String display)`
`void` | `setElevation(String elevation)`
`void` | `setEmptyCells(String emptyCells)`
`void` | `setFont(String font)`
`void` | `setFontFamily(String fontFamily)`
`void` | `setFontSize(String fontSize)`
`void` | `setFontSizeAdjust(String fontSizeAdjust)`
`void` | `setFontStretch(String fontStretch)`
`void` | `setFontStyle(String fontStyle)`
`void` | `setFontVariant(String fontVariant)`
`void` | `setFontWeight(String fontWeight)`
`void` | `setHeight(String height)`
`void` | `setLeft(String left)`
`void` | `setLetterSpacing(String letterSpacing)`
`void` | `setLineHeight(String lineHeight)`
`void` | `setListStyle(String listStyle)`
`void` | `setListStyleImage(String listStyleImage)`
`void` | `setListStylePosition(String listStylePosition)`
`void` | `setListStyleType(String listStyleType)`
`void` | `setMargin(String margin)`
`void` | `setMarginBottom(String marginBottom)`
`void` | `setMarginLeft(String marginLeft)`
`void` | `setMarginRight(String marginRight)`
`void` | `setMarginTop(String marginTop)`
`void` | `setMarkerOffset(String markerOffset)`
`void` | `setMarks(String marks)`
`void` | `setMaxHeight(String maxHeight)`
`void` | `setMaxWidth(String maxWidth)`
`void` | `setMinHeight(String minHeight)`
`void` | `setMinWidth(String minWidth)`
`void` | `setOrphans(String orphans)`
`void` | `setOutline(String outline)`
`void` | `setOutlineColor(String outlineColor)`
`void` | `setOutlineStyle(String outlineStyle)`
`void` | `setOutlineWidth(String outlineWidth)`
`void` | `setOverflow(String overflow)`
`void` | `setPadding(String padding)`
`void` | `setPaddingBottom(String paddingBottom)`
`void` | `setPaddingLeft(String paddingLeft)`
`void` | `setPaddingRight(String paddingRight)`
`void` | `setPaddingTop(String paddingTop)`
`void` | `setPage(String page)`
`void` | `setPageBreakAfter(String pageBreakAfter)`
`void` | `setPageBreakBefore(String pageBreakBefore)`
`void` | `setPageBreakInside(String pageBreakInside)`
`void` | `setPause(String pause)`
`void` | `setPauseAfter(String pauseAfter)`
`void` | `setPauseBefore(String pauseBefore)`
`void` | `setPitch(String pitch)`
`void` | `setPitchRange(String pitchRange)`
`void` | `setPlayDuring(String playDuring)`
`void` | `setPosition(String position)`
`void` | `setQuotes(String quotes)`
`void` | `setRichness(String richness)`
`void` | `setRight(String right)`
`void` | `setSize(String size)`
`void` | `setSpeak(String speak)`
`void` | `setSpeakHeader(String speakHeader)`
`void` | `setSpeakNumeral(String speakNumeral)`
`void` | `setSpeakPunctuation(String speakPunctuation)`
`void` | `setSpeechRate(String speechRate)`
`void` | `setStress(String stress)`
`void` | `setTableLayout(String tableLayout)`
`void` | `setTextAlign(String textAlign)`
`void` | `setTextDecoration(String textDecoration)`
`void` | `setTextIndent(String textIndent)`
`void` | `setTextShadow(String textShadow)`
`void` | `setTextTransform(String textTransform)`
`void` | `setTop(String top)`
`void` | `setUnicodeBidi(String unicodeBidi)`
`void` | `setVerticalAlign(String verticalAlign)`
`void` | `setVisibility(String visibility)`
`void` | `setVoiceFamily(String voiceFamily)`
`void` | `setVolume(String volume)`
`void` | `setWhiteSpace(String whiteSpace)`
`void` | `setWidows(String widows)`
`void` | `setWidth(String width)`
`void` | `setWordSpacing(String wordSpacing)`
`void` | `setZIndex(String zIndex)`

Method Detail

### getAzimuth

    public String getAzimuth()

  See the azimuth property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setAzimuth

    public void setAzimuth(String azimuth)
                    throws DOMException

  Throws:
    `DOMException`

### getBackground

    public String getBackground()

  See the background property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBackground

    public void setBackground(String background)
                       throws DOMException

  Throws:
    `DOMException`

### getBackgroundAttachment

    public String getBackgroundAttachment()

  See the background-attachment property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBackgroundAttachment

    public void setBackgroundAttachment(String backgroundAttachment)
                                 throws DOMException

  Throws:
    `DOMException`

### getBackgroundColor

    public String getBackgroundColor()

  See the background-color property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBackgroundColor

    public void setBackgroundColor(String backgroundColor)
                            throws DOMException

  Throws:
    `DOMException`

### getBackgroundImage

    public String getBackgroundImage()

  See the background-image property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBackgroundImage

    public void setBackgroundImage(String backgroundImage)
                            throws DOMException

  Throws:
    `DOMException`

### getBackgroundPosition

    public String getBackgroundPosition()

  See the background-position property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBackgroundPosition

    public void setBackgroundPosition(String backgroundPosition)
                               throws DOMException

  Throws:
    `DOMException`

### getBackgroundRepeat

    public String getBackgroundRepeat()

  See the background-repeat property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBackgroundRepeat

    public void setBackgroundRepeat(String backgroundRepeat)
                             throws DOMException

  Throws:
    `DOMException`

### getBorder

    public String getBorder()

  See the border property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorder

    public void setBorder(String border)
                   throws DOMException

  Throws:
    `DOMException`

### getBorderCollapse

    public String getBorderCollapse()

  See the border-collapse property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderCollapse

    public void setBorderCollapse(String borderCollapse)
                           throws DOMException

  Throws:
    `DOMException`

### getBorderColor

    public String getBorderColor()

  See the border-color property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderColor

    public void setBorderColor(String borderColor)
                        throws DOMException

  Throws:
    `DOMException`

### getBorderSpacing

    public String getBorderSpacing()

  See the border-spacing property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderSpacing

    public void setBorderSpacing(String borderSpacing)
                          throws DOMException

  Throws:
    `DOMException`

### getBorderStyle

    public String getBorderStyle()

  See the border-style property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderStyle

    public void setBorderStyle(String borderStyle)
                        throws DOMException

  Throws:
    `DOMException`

### getBorderTop

    public String getBorderTop()

  See the border-top property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderTop

    public void setBorderTop(String borderTop)
                      throws DOMException

  Throws:
    `DOMException`

### getBorderRight

    public String getBorderRight()

  See the border-right property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderRight

    public void setBorderRight(String borderRight)
                        throws DOMException

  Throws:
    `DOMException`

### getBorderBottom

    public String getBorderBottom()

  See the border-bottom property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderBottom

    public void setBorderBottom(String borderBottom)
                         throws DOMException

  Throws:
    `DOMException`

### getBorderLeft

    public String getBorderLeft()

  See the border-left property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderLeft

    public void setBorderLeft(String borderLeft)
                       throws DOMException

  Throws:
    `DOMException`

### getBorderTopColor

    public String getBorderTopColor()

  See the border-top-color property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderTopColor

    public void setBorderTopColor(String borderTopColor)
                           throws DOMException

  Throws:
    `DOMException`

### getBorderRightColor

    public String getBorderRightColor()

  See the border-right-color property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderRightColor

    public void setBorderRightColor(String borderRightColor)
                             throws DOMException

  Throws:
    `DOMException`

### getBorderBottomColor

    public String getBorderBottomColor()

  See the border-bottom-color property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderBottomColor

    public void setBorderBottomColor(String borderBottomColor)
                              throws DOMException

  Throws:
    `DOMException`

### getBorderLeftColor

    public String getBorderLeftColor()

  See the border-left-color property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderLeftColor

    public void setBorderLeftColor(String borderLeftColor)
                            throws DOMException

  Throws:
    `DOMException`

### getBorderTopStyle

    public String getBorderTopStyle()

  See the border-top-style property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderTopStyle

    public void setBorderTopStyle(String borderTopStyle)
                           throws DOMException

  Throws:
    `DOMException`

### getBorderRightStyle

    public String getBorderRightStyle()

  See the border-right-style property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderRightStyle

    public void setBorderRightStyle(String borderRightStyle)
                             throws DOMException

  Throws:
    `DOMException`

### getBorderBottomStyle

    public String getBorderBottomStyle()

  See the border-bottom-style property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderBottomStyle

    public void setBorderBottomStyle(String borderBottomStyle)
                              throws DOMException

  Throws:
    `DOMException`

### getBorderLeftStyle

    public String getBorderLeftStyle()

  See the border-left-style property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderLeftStyle

    public void setBorderLeftStyle(String borderLeftStyle)
                            throws DOMException

  Throws:
    `DOMException`

### getBorderTopWidth

    public String getBorderTopWidth()

  See the border-top-width property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderTopWidth

    public void setBorderTopWidth(String borderTopWidth)
                           throws DOMException

  Throws:
    `DOMException`

### getBorderRightWidth

    public String getBorderRightWidth()

  See the border-right-width property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderRightWidth

    public void setBorderRightWidth(String borderRightWidth)
                             throws DOMException

  Throws:
    `DOMException`

### getBorderBottomWidth

    public String getBorderBottomWidth()

  See the border-bottom-width property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderBottomWidth

    public void setBorderBottomWidth(String borderBottomWidth)
                              throws DOMException

  Throws:
    `DOMException`

### getBorderLeftWidth

    public String getBorderLeftWidth()

  See the border-left-width property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderLeftWidth

    public void setBorderLeftWidth(String borderLeftWidth)
                            throws DOMException

  Throws:
    `DOMException`

### getBorderWidth

    public String getBorderWidth()

  See the border-width property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderWidth

    public void setBorderWidth(String borderWidth)
                        throws DOMException

  Throws:
    `DOMException`

### getBottom

    public String getBottom()

  See the bottom property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBottom

    public void setBottom(String bottom)
                   throws DOMException

  Throws:
    `DOMException`

### getCaptionSide

    public String getCaptionSide()

  See the caption-side property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setCaptionSide

    public void setCaptionSide(String captionSide)
                        throws DOMException

  Throws:
    `DOMException`

### getClear

    public String getClear()

  See the clear property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setClear

    public void setClear(String clear)
                  throws DOMException

  Throws:
    `DOMException`

### getClip

    public String getClip()

  See the clip property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setClip

    public void setClip(String clip)
                 throws DOMException

  Throws:
    `DOMException`

### getColor

    public String getColor()

  See the color property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setColor

    public void setColor(String color)
                  throws DOMException

  Throws:
    `DOMException`

### getContent

    public String getContent()

  See the content property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setContent

    public void setContent(String content)
                    throws DOMException

  Throws:
    `DOMException`

### getCounterIncrement

    public String getCounterIncrement()

  See the counter-increment property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setCounterIncrement

    public void setCounterIncrement(String counterIncrement)
                             throws DOMException

  Throws:
    `DOMException`

### getCounterReset

    public String getCounterReset()

  See the counter-reset property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setCounterReset

    public void setCounterReset(String counterReset)
                         throws DOMException

  Throws:
    `DOMException`

### getCue

    public String getCue()

  See the cue property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setCue

    public void setCue(String cue)
                throws DOMException

  Throws:
    `DOMException`

### getCueAfter

    public String getCueAfter()

  See the cue-after property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setCueAfter

    public void setCueAfter(String cueAfter)
                     throws DOMException

  Throws:
    `DOMException`

### getCueBefore

    public String getCueBefore()

  See the cue-before property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setCueBefore

    public void setCueBefore(String cueBefore)
                      throws DOMException

  Throws:
    `DOMException`

### getCursor

    public String getCursor()

  See the cursor property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setCursor

    public void setCursor(String cursor)
                   throws DOMException

  Throws:
    `DOMException`

### getDirection

    public String getDirection()

  See the direction property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setDirection

    public void setDirection(String direction)
                      throws DOMException

  Throws:
    `DOMException`

### getDisplay

    public String getDisplay()

  See the display property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setDisplay

    public void setDisplay(String display)
                    throws DOMException

  Throws:
    `DOMException`

### getElevation

    public String getElevation()

  See the elevation property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setElevation

    public void setElevation(String elevation)
                      throws DOMException

  Throws:
    `DOMException`

### getEmptyCells

    public String getEmptyCells()

  See the empty-cells property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setEmptyCells

    public void setEmptyCells(String emptyCells)
                       throws DOMException

  Throws:
    `DOMException`

### getCssFloat

    public String getCssFloat()

  See the float property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setCssFloat

    public void setCssFloat(String cssFloat)
                     throws DOMException

  Throws:
    `DOMException`

### getFont

    public String getFont()

  See the font property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setFont

    public void setFont(String font)
                 throws DOMException

  Throws:
    `DOMException`

### getFontFamily

    public String getFontFamily()

  See the font-family property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setFontFamily

    public void setFontFamily(String fontFamily)
                       throws DOMException

  Throws:
    `DOMException`

### getFontSize

    public String getFontSize()

  See the font-size property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setFontSize

    public void setFontSize(String fontSize)
                     throws DOMException

  Throws:
    `DOMException`

### getFontSizeAdjust

    public String getFontSizeAdjust()

  See the font-size-adjust property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setFontSizeAdjust

    public void setFontSizeAdjust(String fontSizeAdjust)
                           throws DOMException

  Throws:
    `DOMException`

### getFontStretch

    public String getFontStretch()

  See the font-stretch property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setFontStretch

    public void setFontStretch(String fontStretch)
                        throws DOMException

  Throws:
    `DOMException`

### getFontStyle

    public String getFontStyle()

  See the font-style property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setFontStyle

    public void setFontStyle(String fontStyle)
                      throws DOMException

  Throws:
    `DOMException`

### getFontVariant

    public String getFontVariant()

  See the font-variant property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setFontVariant

    public void setFontVariant(String fontVariant)
                        throws DOMException

  Throws:
    `DOMException`

### getFontWeight

    public String getFontWeight()

  See the font-weight property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setFontWeight

    public void setFontWeight(String fontWeight)
                       throws DOMException

  Throws:
    `DOMException`

### getHeight

    public String getHeight()

  See the height property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setHeight

    public void setHeight(String height)
                   throws DOMException

  Throws:
    `DOMException`

### getLeft

    public String getLeft()

  See the left property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setLeft

    public void setLeft(String left)
                 throws DOMException

  Throws:
    `DOMException`

### getLetterSpacing

    public String getLetterSpacing()

  See the letter-spacing property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setLetterSpacing

    public void setLetterSpacing(String letterSpacing)
                          throws DOMException

  Throws:
    `DOMException`

### getLineHeight

    public String getLineHeight()

  See the line-height property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setLineHeight

    public void setLineHeight(String lineHeight)
                       throws DOMException

  Throws:
    `DOMException`

### getListStyle

    public String getListStyle()

  See the list-style property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setListStyle

    public void setListStyle(String listStyle)
                      throws DOMException

  Throws:
    `DOMException`

### getListStyleImage

    public String getListStyleImage()

  See the list-style-image property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setListStyleImage

    public void setListStyleImage(String listStyleImage)
                           throws DOMException

  Throws:
    `DOMException`

### getListStylePosition

    public String getListStylePosition()

  See the list-style-position property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setListStylePosition

    public void setListStylePosition(String listStylePosition)
                              throws DOMException

  Throws:
    `DOMException`

### getListStyleType

    public String getListStyleType()

  See the list-style-type property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setListStyleType

    public void setListStyleType(String listStyleType)
                          throws DOMException

  Throws:
    `DOMException`

### getMargin

    public String getMargin()

  See the margin property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setMargin

    public void setMargin(String margin)
                   throws DOMException

  Throws:
    `DOMException`

### getMarginTop

    public String getMarginTop()

  See the margin-top property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setMarginTop

    public void setMarginTop(String marginTop)
                      throws DOMException

  Throws:
    `DOMException`

### getMarginRight

    public String getMarginRight()

  See the margin-right property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setMarginRight

    public void setMarginRight(String marginRight)
                        throws DOMException

  Throws:
    `DOMException`

### getMarginBottom

    public String getMarginBottom()

  See the margin-bottom property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setMarginBottom

    public void setMarginBottom(String marginBottom)
                         throws DOMException

  Throws:
    `DOMException`

### getMarginLeft

    public String getMarginLeft()

  See the margin-left property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setMarginLeft

    public void setMarginLeft(String marginLeft)
                       throws DOMException

  Throws:
    `DOMException`

### getMarkerOffset

    public String getMarkerOffset()

  See the marker-offset property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setMarkerOffset

    public void setMarkerOffset(String markerOffset)
                         throws DOMException

  Throws:
    `DOMException`

### getMarks

    public String getMarks()

  See the marks property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setMarks

    public void setMarks(String marks)
                  throws DOMException

  Throws:
    `DOMException`

### getMaxHeight

    public String getMaxHeight()

  See the max-height property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setMaxHeight

    public void setMaxHeight(String maxHeight)
                      throws DOMException

  Throws:
    `DOMException`

### getMaxWidth

    public String getMaxWidth()

  See the max-width property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setMaxWidth

    public void setMaxWidth(String maxWidth)
                     throws DOMException

  Throws:
    `DOMException`

### getMinHeight

    public String getMinHeight()

  See the min-height property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setMinHeight

    public void setMinHeight(String minHeight)
                      throws DOMException

  Throws:
    `DOMException`

### getMinWidth

    public String getMinWidth()

  See the min-width property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setMinWidth

    public void setMinWidth(String minWidth)
                     throws DOMException

  Throws:
    `DOMException`

### getOrphans

    public String getOrphans()

  See the orphans property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setOrphans

    public void setOrphans(String orphans)
                    throws DOMException

  Throws:
    `DOMException`

### getOutline

    public String getOutline()

  See the outline property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setOutline

    public void setOutline(String outline)
                    throws DOMException

  Throws:
    `DOMException`

### getOutlineColor

    public String getOutlineColor()

  See the outline-color property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setOutlineColor

    public void setOutlineColor(String outlineColor)
                         throws DOMException

  Throws:
    `DOMException`

### getOutlineStyle

    public String getOutlineStyle()

  See the outline-style property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setOutlineStyle

    public void setOutlineStyle(String outlineStyle)
                         throws DOMException

  Throws:
    `DOMException`

### getOutlineWidth

    public String getOutlineWidth()

  See the outline-width property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setOutlineWidth

    public void setOutlineWidth(String outlineWidth)
                         throws DOMException

  Throws:
    `DOMException`

### getOverflow

    public String getOverflow()

  See the overflow property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setOverflow

    public void setOverflow(String overflow)
                     throws DOMException

  Throws:
    `DOMException`

### getPadding

    public String getPadding()

  See the padding property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setPadding

    public void setPadding(String padding)
                    throws DOMException

  Throws:
    `DOMException`

### getPaddingTop

    public String getPaddingTop()

  See the padding-top property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setPaddingTop

    public void setPaddingTop(String paddingTop)
                       throws DOMException

  Throws:
    `DOMException`

### getPaddingRight

    public String getPaddingRight()

  See the padding-right property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setPaddingRight

    public void setPaddingRight(String paddingRight)
                         throws DOMException

  Throws:
    `DOMException`

### getPaddingBottom

    public String getPaddingBottom()

  See the padding-bottom property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setPaddingBottom

    public void setPaddingBottom(String paddingBottom)
                          throws DOMException

  Throws:
    `DOMException`

### getPaddingLeft

    public String getPaddingLeft()

  See the padding-left property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setPaddingLeft

    public void setPaddingLeft(String paddingLeft)
                        throws DOMException

  Throws:
    `DOMException`

### getPage

    public String getPage()

  See the page property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setPage

    public void setPage(String page)
                 throws DOMException

  Throws:
    `DOMException`

### getPageBreakAfter

    public String getPageBreakAfter()

  See the page-break-after property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setPageBreakAfter

    public void setPageBreakAfter(String pageBreakAfter)
                           throws DOMException

  Throws:
    `DOMException`

### getPageBreakBefore

    public String getPageBreakBefore()

  See the page-break-before property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setPageBreakBefore

    public void setPageBreakBefore(String pageBreakBefore)
                            throws DOMException

  Throws:
    `DOMException`

### getPageBreakInside

    public String getPageBreakInside()

  See the page-break-inside property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setPageBreakInside

    public void setPageBreakInside(String pageBreakInside)
                            throws DOMException

  Throws:
    `DOMException`

### getPause

    public String getPause()

  See the pause property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setPause

    public void setPause(String pause)
                  throws DOMException

  Throws:
    `DOMException`

### getPauseAfter

    public String getPauseAfter()

  See the pause-after property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setPauseAfter

    public void setPauseAfter(String pauseAfter)
                       throws DOMException

  Throws:
    `DOMException`

### getPauseBefore

    public String getPauseBefore()

  See the pause-before property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setPauseBefore

    public void setPauseBefore(String pauseBefore)
                        throws DOMException

  Throws:
    `DOMException`

### getPitch

    public String getPitch()

  See the pitch property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setPitch

    public void setPitch(String pitch)
                  throws DOMException

  Throws:
    `DOMException`

### getPitchRange

    public String getPitchRange()

  See the pitch-range property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setPitchRange

    public void setPitchRange(String pitchRange)
                       throws DOMException

  Throws:
    `DOMException`

### getPlayDuring

    public String getPlayDuring()

  See the play-during property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setPlayDuring

    public void setPlayDuring(String playDuring)
                       throws DOMException

  Throws:
    `DOMException`

### getPosition

    public String getPosition()

  See the position property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setPosition

    public void setPosition(String position)
                     throws DOMException

  Throws:
    `DOMException`

### getQuotes

    public String getQuotes()

  See the quotes property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setQuotes

    public void setQuotes(String quotes)
                   throws DOMException

  Throws:
    `DOMException`

### getRichness

    public String getRichness()

  See the richness property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setRichness

    public void setRichness(String richness)
                     throws DOMException

  Throws:
    `DOMException`

### getRight

    public String getRight()

  See the right property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setRight

    public void setRight(String right)
                  throws DOMException

  Throws:
    `DOMException`

### getSize

    public String getSize()

  See the size property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setSize

    public void setSize(String size)
                 throws DOMException

  Throws:
    `DOMException`

### getSpeak

    public String getSpeak()

  See the speak property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setSpeak

    public void setSpeak(String speak)
                  throws DOMException

  Throws:
    `DOMException`

### getSpeakHeader

    public String getSpeakHeader()

  See the speak-header property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setSpeakHeader

    public void setSpeakHeader(String speakHeader)
                        throws DOMException

  Throws:
    `DOMException`

### getSpeakNumeral

    public String getSpeakNumeral()

  See the speak-numeral property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setSpeakNumeral

    public void setSpeakNumeral(String speakNumeral)
                         throws DOMException

  Throws:
    `DOMException`

### getSpeakPunctuation

    public String getSpeakPunctuation()

  See the speak-punctuation property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setSpeakPunctuation

    public void setSpeakPunctuation(String speakPunctuation)
                             throws DOMException

  Throws:
    `DOMException`

### getSpeechRate

    public String getSpeechRate()

  See the speech-rate property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setSpeechRate

    public void setSpeechRate(String speechRate)
                       throws DOMException

  Throws:
    `DOMException`

### getStress

    public String getStress()

  See the stress property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setStress

    public void setStress(String stress)
                   throws DOMException

  Throws:
    `DOMException`

### getTableLayout

    public String getTableLayout()

  See the table-layout property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setTableLayout

    public void setTableLayout(String tableLayout)
                        throws DOMException

  Throws:
    `DOMException`

### getTextAlign

    public String getTextAlign()

  See the text-align property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setTextAlign

    public void setTextAlign(String textAlign)
                      throws DOMException

  Throws:
    `DOMException`

### getTextDecoration

    public String getTextDecoration()

  See the text-decoration property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setTextDecoration

    public void setTextDecoration(String textDecoration)
                           throws DOMException

  Throws:
    `DOMException`

### getTextIndent

    public String getTextIndent()

  See the text-indent property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setTextIndent

    public void setTextIndent(String textIndent)
                       throws DOMException

  Throws:
    `DOMException`

### getTextShadow

    public String getTextShadow()

  See the text-shadow property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setTextShadow

    public void setTextShadow(String textShadow)
                       throws DOMException

  Throws:
    `DOMException`

### getTextTransform

    public String getTextTransform()

  See the text-transform property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setTextTransform

    public void setTextTransform(String textTransform)
                          throws DOMException

  Throws:
    `DOMException`

### getTop

    public String getTop()

  See the top property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setTop

    public void setTop(String top)
                throws DOMException

  Throws:
    `DOMException`

### getUnicodeBidi

    public String getUnicodeBidi()

  See the unicode-bidi property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setUnicodeBidi

    public void setUnicodeBidi(String unicodeBidi)
                        throws DOMException

  Throws:
    `DOMException`

### getVerticalAlign

    public String getVerticalAlign()

  See the vertical-align property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setVerticalAlign

    public void setVerticalAlign(String verticalAlign)
                          throws DOMException

  Throws:
    `DOMException`

### getVisibility

    public String getVisibility()

  See the visibility property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setVisibility

    public void setVisibility(String visibility)
                       throws DOMException

  Throws:
    `DOMException`

### getVoiceFamily

    public String getVoiceFamily()

  See the voice-family property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setVoiceFamily

    public void setVoiceFamily(String voiceFamily)
                        throws DOMException

  Throws:
    `DOMException`

### getVolume

    public String getVolume()

  See the volume property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setVolume

    public void setVolume(String volume)
                   throws DOMException

  Throws:
    `DOMException`

### getWhiteSpace

    public String getWhiteSpace()

  See the white-space property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setWhiteSpace

    public void setWhiteSpace(String whiteSpace)
                       throws DOMException

  Throws:
    `DOMException`

### getWidows

    public String getWidows()

  See the widows property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setWidows

    public void setWidows(String widows)
                   throws DOMException

  Throws:
    `DOMException`

### getWidth

    public String getWidth()

  See the width property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setWidth

    public void setWidth(String width)
                  throws DOMException

  Throws:
    `DOMException`

### getWordSpacing

    public String getWordSpacing()

  See the word-spacing property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setWordSpacing

    public void setWordSpacing(String wordSpacing)
                        throws DOMException

  Throws:
    `DOMException`

### getZIndex

    public String getZIndex()

  See the z-index property definition in CSS2.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setZIndex

    public void setZIndex(String zIndex)
                   throws DOMException

  Throws:
    `DOMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Common DOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 2003 Sun Microsystems, Inc. 4150 Network Circle
Santa Clara, California, 95054, U.S.A. All Rights Reserved.